Debian Bug report logs - #497200
ITP: rt2860-source -- source for RT2860 wireless adapter kernel module

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Sat, 30 Aug 2008 19:12:02 UTC

Owned by: Damyan Ivanov <dmn@debian.org>

Severity: wishlist

Fixed in version rt2860-source/1.8.0.0-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-eeepc-devel@lists.alioth.debian.org, debian-legal@lists.debian.org, <wnpp@debian.org>:
Bug#497200; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-eeepc-devel@lists.alioth.debian.org, debian-legal@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: rt2860-source -- source for RT2860 wireless adapter kernel module
Date: Sat, 30 Aug 2008 22:08:51 +0300
Package: wnpp
Severity: wishlist
Owner: Damyan Ivanov <dmn@debian.org>

* Package name    : rt2860-source
  Version         : 1.7.0.0
  Upstream Author : Ralink Tech Inc
* URL             : http://www.ralinktech.com/
* License         : GPL-2+  some binary non-free firmware
  Programming Lang: C
  Description     : source for RT2860 wireless adapter kernel module

RT2860 is a wireless adapter found particularly in the ASUS EeePC model
901 and above. The package contains the source of a Linux kernel module
for it.


There may be some licensing problems and this is why I CC debian-legal.
All the sources are licensed under GPL-2+, except one file,
include/firmware.h, which is generated from a binary blob and contains
the following notice:

/*
 Copyright (c) 2007, Ralink Technology Corporation 
 All rights reserved. 

 Redistribution.  Redistribution and use in binary form, without 
 modification, are permitted provided that the following conditions are 
 met: 

 	* Redistributions must reproduce the above copyright notice and the 
 	following disclaimer in the documentation and/or other materials 
 	provided with the distribution. 
 	* Neither the name of Ralink Technology Corporation nor the names of its 
 	suppliers may be used to endorse or promote products derived from this 
 	software without specific prior written permission. 
 	* No reverse engineering, decompilation, or disassembly of this software 
 	is permitted. 

 Limited patent license. Ralink Technology Corporation grants a world-wide, 
 royalty-free, non-exclusive license under patents it now or hereafter 
 owns or controls to make, have made, use, import, offer to sell and 
 sell ("Utilize") this software, but solely to the extent that any 
 such patent is necessary to Utilize the software alone, or in 
 combination with an operating system licensed under an approved Open 
 Source license as listed by the Open Source Initiative at 
 http://opensource.org/licenses.  The patent license shall not apply to 
 any other combinations which include this software.  No hardware per 
 se is licensed hereunder. 

 DISCLAIMER.  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
 CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, 
 BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS 
 OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND 
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR 
 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE 
 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH 
 DAMAGE. 
*/ 
/* AUTO GEN PLEASE DO NOT MODIFY IT */ 
/* AUTO GEN PLEASE DO NOT MODIFY IT */ 


UCHAR FirmwareImage [] = { 
0x02, 0x03, 0x5e, 0x02, 0x02, 0xb1, 0x22, 0x22, 0xff, 0xff, 0xff, 0x02, 0x01, 0x82, 0xff, 0xff, 
.........

I did not yet check if this code is actually linked in the GPL-2+
module, but have a bad feeling it it does. Would a compiled GPL source,
including firmware.h be even distributable?

Perhaps the module can be changed to load its firmware from external
file or even not need that nasty firmware.h (there are traces of
support to other hardware and that firmware may be for them).


-- 
    dam




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#497200; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Phil Endecott" <phil_kreou_endecott@chezphil.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #10 received at 497200@bugs.debian.org (full text, mbox):

From: "Phil Endecott" <phil_kreou_endecott@chezphil.org>
To: <debian-eeepc-devel@lists.alioth.debian.org>
Cc: <497200@bugs.debian.org>
Subject: Re: [Debian-eeepc-devel] Bug#497200: ITP: rt2860-source -- source for RT2860 wireless adapter kernel module
Date: Sat, 30 Aug 2008 21:11:58 +0100
Damyan Ivanov wrote:
> There may be some licensing problems and this is why I CC debian-legal.
> All the sources are licensed under GPL-2+, except one file,
> include/firmware.h, which is generated from a binary blob and contains
> the following notice:

[snip]

Looks bad to me.

> I did not yet check if this code is actually linked in the GPL-2+
> module, but have a bad feeling it it does. Would a compiled GPL source,
> including firmware.h be even distributable?
>
> Perhaps the module can be changed to load its firmware from external
> file or even not need that nasty firmware.h (there are traces of
> support to other hardware and that firmware may be for them).

There's some code in common/rtmp_init.c that's inside #ifdef 
BIN_IN_FILE that tries to get the firmware from a file, and falls back 
to the contents of firmware.h.  BIN_IN_FILE is not defined, and so it 
unconditionally uses firmware.h.  I have had a quick try at enabling 
BIN_IN_FILE, and defining RTMP_FIRMWARE_FILE_NAME to point to 
common/rt2860.bin, and according to the debug output it worked.  I 
can't be certain though, as it still has firmware.h compiled in as a 
fallback and unless you power-cycle you can't be sure that the previous 
download has been lost.

Someone keen could probably convert it to use the proper kernel 
firmware loading infrastructure.  The code that does this seems to be 
quite localised in common/rtmp_init.c.


Phil.








Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#497200; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #15 received at 497200@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Damyan Ivanov <dmn@debian.org>, 497200@bugs.debian.org, pkg-ralink-maintainers@lists.alioth.debian.org
Subject: Re: Bug#497200: ITP: rt2860-source -- source for RT2860 wireless adapter kernel module
Date: Sat, 30 Aug 2008 23:16:27 +0100
On Sat, 2008-08-30 at 22:08 +0300, Damyan Ivanov wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Damyan Ivanov <dmn@debian.org>
> 
> * Package name    : rt2860-source
>   Version         : 1.7.0.0
>   Upstream Author : Ralink Tech Inc
> * URL             : http://www.ralinktech.com/
> * License         : GPL-2+  some binary non-free firmware
>   Programming Lang: C
>   Description     : source for RT2860 wireless adapter kernel module
> 
> RT2860 is a wireless adapter found particularly in the ASUS EeePC model
> 901 and above. The package contains the source of a Linux kernel module
> for it.

Would you like to include this in the pkg-ralink project on Alioth?

> There may be some licensing problems and this is why I CC debian-legal.
> All the sources are licensed under GPL-2+, except one file,
> include/firmware.h, which is generated from a binary blob and contains
> the following notice:
<snip>
> I did not yet check if this code is actually linked in the GPL-2+
> module, but have a bad feeling it it does. Would a compiled GPL source,
> including firmware.h be even distributable?

Possibly not.  The module source code should go in contrib with the blob
and firmware.h removed.  The blob should go in the firmware-ralink
binary package built from the firmware-nonfree source package.

> Perhaps the module can be changed to load its firmware from external
> file or even not need that nasty firmware.h (there are traces of
> support to other hardware and that firmware may be for them).

This should not be too hard.  Look at rt73 for an example of how
this has been done in an existing Ralink driver.

Ben.






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#497200; Package wnpp. Full text and rfc822 format available.

Message #18 received at 497200@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: 497200@bugs.debian.org
Cc: pkg-ralink-maintainers@lists.alioth.debian.org, debian-eeepc-devel@lists.alioth.debian.org
Subject: Re: Bug#497200: ITP: rt2860-source -- source for RT2860 wireless adapter kernel module
Date: Mon, 1 Sep 2008 10:07:10 +0300
[Message part 1 (text/plain, inline)]
-=| Ben Hutchings, Sat, Aug 30, 2008 at 11:16:27PM +0100 |=-
> On Sat, 2008-08-30 at 22:08 +0300, Damyan Ivanov wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Damyan Ivanov <dmn@debian.org>
> > 
> > * Package name    : rt2860-source
> >   Version         : 1.7.0.0
> >   Upstream Author : Ralink Tech Inc
> > * URL             : http://www.ralinktech.com/
> > * License         : GPL-2+  some binary non-free firmware
> >   Programming Lang: C
> >   Description     : source for RT2860 wireless adapter kernel module
> > 
> > RT2860 is a wireless adapter found particularly in the ASUS EeePC model
> > 901 and above. The package contains the source of a Linux kernel module
> > for it.
> 
> Would you like to include this in the pkg-ralink project on Alioth?

It is currently under debian-eeepc Git[1], but I find what you say 
very attractive, especially if it is extended a bit:

    [1] http://git.debian.org/?p=debian-eeepc/rt2860.git;a=summary

Would you like to take over the package? I'd gladly put it in the 
hands of people having experience dealing with ralink-based cards.

What do the rest of Debian EeePC Team thinks?

The package is as ready for 2.6.26 as I can get it without digging 
deep about moving the firmware into a separate package.

> > There may be some licensing problems and this is why I CC 
> > debian-legal.
> > All the sources are licensed under GPL-2+, except one file,
> > include/firmware.h, which is generated from a binary blob and contains
> > the following notice:
> <snip>
> > I did not yet check if this code is actually linked in the GPL-2+
> > module, but have a bad feeling it it does. Would a compiled GPL source,
> > including firmware.h be even distributable?
> 
> Possibly not.  The module source code should go in contrib with the blob
> and firmware.h removed.  The blob should go in the firmware-ralink
> binary package built from the firmware-nonfree source package.

Or, the madwifi way - put only -source package in non-free and let 
users build the module with module-assistant.

> > Perhaps the module can be changed to load its firmware from 
> > external
> > file or even not need that nasty firmware.h (there are traces of
> > support to other hardware and that firmware may be for them).
> 
> This should not be too hard.  Look at rt73 for an example of how
> this has been done in an existing Ralink driver.

Moving the firmware away would also make it possible for a -modules 
package to be made part of linux-modules-extra, right? That would be a 
good thing.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#497200; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #23 received at 497200@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Damyan Ivanov <dam@modsoftsys.com>
Cc: 497200@bugs.debian.org, pkg-ralink-maintainers@lists.alioth.debian.org, debian-eeepc-devel@lists.alioth.debian.org
Subject: Re: Bug#497200: ITP: rt2860-source -- source for RT2860 wireless adapter kernel module
Date: Mon, 01 Sep 2008 12:00:24 +0200
On 2008-09-01 09:07 +0200, Damyan Ivanov wrote:

> -=| Ben Hutchings, Sat, Aug 30, 2008 at 11:16:27PM +0100 |=-
>> Possibly not.  The module source code should go in contrib with the blob
>> and firmware.h removed.  The blob should go in the firmware-ralink
>> binary package built from the firmware-nonfree source package.
>
> Or, the madwifi way - put only -source package in non-free and let 
> users build the module with module-assistant.

Please not.  Unlike madwifi, the ralink drivers are actually free, only
the device needs the non-free firmware.

> Moving the firmware away would also make it possible for a -modules 
> package to be made part of linux-modules-extra, right? That would be a 
> good thing.

As long as all devices that the driver supports need non-free firmware,
the -source and -modules packages should go to contrib, because the user
has to install the firmware (and if Debian can distribute it in
non-free, the driver should recommend the firmware package).

Regards,
        Sven




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#497200; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #28 received at 497200@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Damyan Ivanov <dam@modsoftsys.com>, 497200@bugs.debian.org, pkg-ralink-maintainers@lists.alioth.debian.org, debian-eeepc-devel@lists.alioth.debian.org
Subject: Re: Bug#497200: ITP: rt2860-source -- source for RT2860 wireless adapter kernel module
Date: Mon, 1 Sep 2008 11:07:27 +0100
[Message part 1 (text/plain, inline)]
On Mon, Sep 01, 2008 at 10:07:10AM +0300, Damyan Ivanov wrote:
> -=| Ben Hutchings, Sat, Aug 30, 2008 at 11:16:27PM +0100 |=-
> > On Sat, 2008-08-30 at 22:08 +0300, Damyan Ivanov wrote:
> > > Package: wnpp
> > > Severity: wishlist
> > > Owner: Damyan Ivanov <dmn@debian.org>
> > > 
> > > * Package name    : rt2860-source
> > >   Version         : 1.7.0.0
> > >   Upstream Author : Ralink Tech Inc
> > > * URL             : http://www.ralinktech.com/
> > > * License         : GPL-2+  some binary non-free firmware
> > >   Programming Lang: C
> > >   Description     : source for RT2860 wireless adapter kernel module
> > > 
> > > RT2860 is a wireless adapter found particularly in the ASUS EeePC model
> > > 901 and above. The package contains the source of a Linux kernel module
> > > for it.
> > 
> > Would you like to include this in the pkg-ralink project on Alioth?
> 
> It is currently under debian-eeepc Git[1], but I find what you say 
> very attractive, especially if it is extended a bit:
> 
>     [1] http://git.debian.org/?p=debian-eeepc/rt2860.git;a=summary
> 
> Would you like to take over the package? I'd gladly put it in the 
> hands of people having experience dealing with ralink-based cards.

I don't have any of the hardware this supports, or any 802.11n access
point I could test against (though maybe other maintainers do).  There
would need to be someone in the team to take responsibility for that.
But the Ralink drivers have a lot in common (bugs, terrible coding
style...) so I should at least have some familiarity with the code.

<snip>
> > > Perhaps the module can be changed to load its firmware from 
> > > external
> > > file or even not need that nasty firmware.h (there are traces of
> > > support to other hardware and that firmware may be for them).
> > 
> > This should not be too hard.  Look at rt73 for an example of how
> > this has been done in an existing Ralink driver.
> 
> Moving the firmware away would also make it possible for a -modules 
> package to be made part of linux-modules-extra, right? That would be a 
> good thing.

As it is, it could be built by linux-modules-nonfree-2.6.  Separate
the firmware and the module can be built by linux-modules-contrib-2.6.

Ben.

-- 
Ben Hutchings
For every action, there is an equal and opposite criticism. - Harrison
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 20 Oct 2008 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Sun, 26 Oct 2008 12:00:14 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Sun, 26 Oct 2008 12:00:14 GMT) Full text and rfc822 format available.

Message #35 received at 497200-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 497200-close@bugs.debian.org
Subject: Bug#497200: fixed in rt2860-source 1.8.0.0-1
Date: Sun, 26 Oct 2008 11:35:35 +0000
Source: rt2860-source
Source-Version: 1.8.0.0-1

We believe that the bug you reported is fixed in the latest version of
rt2860-source, which is due to be installed in the Debian FTP archive:

rt2860-source_1.8.0.0-1.diff.gz
  to pool/non-free/r/rt2860-source/rt2860-source_1.8.0.0-1.diff.gz
rt2860-source_1.8.0.0-1.dsc
  to pool/non-free/r/rt2860-source/rt2860-source_1.8.0.0-1.dsc
rt2860-source_1.8.0.0-1_all.deb
  to pool/non-free/r/rt2860-source/rt2860-source_1.8.0.0-1_all.deb
rt2860-source_1.8.0.0.orig.tar.gz
  to pool/non-free/r/rt2860-source/rt2860-source_1.8.0.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497200@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated rt2860-source package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 20 Oct 2008 12:12:43 +0300
Source: rt2860-source
Binary: rt2860-source
Architecture: source all
Version: 1.8.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Eee PC Team <debian-eeepc-devel@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 rt2860-source - source for RT2860 wireless adapter kernel module
Closes: 497200
Changes: 
 rt2860-source (1.8.0.0-1) unstable; urgency=low
 .
   * New upstream version
   * adapt 01_remove-tft-lines-from-makefile.patch
   * drop 02_Fix-compilation-for-2.6.26.patch (applied upstream)
   * adapt 03_wpa-fix.patch
   * refresh 04_clean-install.patch
 .
   * control/Uploaders: fix a typo in my name
   * add debian/repack.sh and plug it in debian/watch
   * move bzip2 from Build-Depends to Build-Depends-Indep
   * fix Vcs-* URLs to point to the new repository
   * rules: remove generated tools/bin2h during clean
   * fix a typo in debian/copyright
   * copyright: also note reverse engineering is prohibited
   * README.Debian:
     + give an example for building with m-a
     + point to usr/share/doc/rt2860-source/README_STA.gz for more information
     + README.Debian: reword the 'make;make install' variant
     + README.Debian: remove the (not working) kpkg way of building
   * stop suggesting kernel-package
   * control: downgrade m-a from Depends to Recomments; make
     goes to Suggests; drop debhelper
   * control.modules.in: refer to -source/README.Debian for building
     instructions
 .
 rt2860-source (1.7.0.0-2) unstable; urgency=low
 .
   [ Damyan Ivanov ]
   * Fix license
   * Add Damyan Ivanov to Uploaders
   * Build with wpasupplicant support
   * Various debian/ file fixes
   * Move the configuration dat file to doc
 .
   [ Glenn Saberton ]
   * Release 1.7.0.0-2
 .
 rt2860-source (1.7.0.0-1) unstable; urgency=low
 .
   * Initial release. Closes: #497200 (ITP)
Checksums-Sha1: 
 b8b0d49a7dc16831b9ade6cadf3de0e4bb2e8bbd 1321 rt2860-source_1.8.0.0-1.dsc
 929c1890e548593f744238e6e351f747665522f9 589440 rt2860-source_1.8.0.0.orig.tar.gz
 cb51ae089d027061bda1d3bdaddad71b93c7ba06 6228 rt2860-source_1.8.0.0-1.diff.gz
 b18ba1f307ead86359bfc113423a213d194329e9 534674 rt2860-source_1.8.0.0-1_all.deb
Checksums-Sha256: 
 acc9ac4b56cb6a8dde38ca597b3a0c8db05e81f990d3f7769c0388295f427516 1321 rt2860-source_1.8.0.0-1.dsc
 54595a4c64f5c6bf95d9995de61db96c37e79725bdedc53e272bde1109805de9 589440 rt2860-source_1.8.0.0.orig.tar.gz
 092c18b73c5cd7a56acb7a329f151e254cf881673c08dac83965dbf0ed3001ac 6228 rt2860-source_1.8.0.0-1.diff.gz
 fafcf0458990057d3457d09d82141a8dfda020decc81298b817e337d56dc2ac4 534674 rt2860-source_1.8.0.0-1_all.deb
Files: 
 dcf27d77fabc2ab83b9e1ef96e240292 1321 non-free/net extra rt2860-source_1.8.0.0-1.dsc
 4bba1994d757a24038c5885a07bd82ba 589440 non-free/net extra rt2860-source_1.8.0.0.orig.tar.gz
 f43f7f7cc36b2d39e5fc717f7399802a 6228 non-free/net extra rt2860-source_1.8.0.0-1.diff.gz
 87d0dbe36dc57658449b0e68e026b836 534674 non-free/net extra rt2860-source_1.8.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkj8UXcACgkQHqjlqpcl9juz+gCbBfSE7tYS2d16151v8S8xRsca
g+wAoMQEF3XGBkTPfxHljf1QK4JrWZXS
=qo4M
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 24 Nov 2008 07:25:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:06:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.